Subject: Re: [RFC][USB] powerpc: Workaround for the PPC440EPX USBH_23 errata

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 29 Aug 2008 08:43:26 +1000

On Thu, 2008-08-28 at 17:33 -0400, Alan Stern wrote:
> Is there some reason why it doesn't work already?  All the patch does
> is suspend the OHCI root hub when you plug in the memory stick -- but
> the root hub should already be suspended.
> 
> Unless the memory stick is already plugged in when the kernel boots.  
> In which case the root hub won't be suspended -- it won't suspend
> until 
> 1 second after ohci-hcd initializes the controller.  Is that the 
> scenario you're worried about?

I suppose some embedded platforms don't use CONFIG_PM, is this still a
requirement for autosuspend ? Or do that happen always on an empty port
nowadays ?

Cheers,
Ben.